package cz.petrdana.android.tachometer.adapter;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import cz.petrdana.android.tachometer.R;
import cz.petrdana.android.tachometer.model.TachoModel;


public class TachoListAdapter extends CursorAdapter {

    public TachoListAdapter(Context context, Cursor c, int flags) {
        super(context, c, flags);
    }

    @Override
    public void bindView(View oldView, Context ctx, Cursor c) {
        int dateIndex = c.getColumnIndex(TachoModel.COLUMN_DATE);
        int dailyCounterIndex = c.getColumnIndex(TachoModel.COLUMN_DAILY_COUNTER);
        int mainCounterIndex = c.getColumnIndex(TachoModel.COLUMN_MAIN_COUNTER);
        int descriptionIndex = c.getColumnIndex(TachoModel.COLUMN_DESCRIPTION);

        long dateMillis = c.getLong(dateIndex);

        Date d = new Date();
        d.setTime(dateMillis);
        
        DateFormat df = SimpleDateFormat.getDateInstance();
        
        ((TextView)oldView.findViewById(R.id.date))
                .setText(df.format(d));
        
        ((TextView)oldView.findViewById(R.id.daily_counter))
                .setText(c.getString(dailyCounterIndex));

        ((TextView)oldView.findViewById(R.id.main_counter))
                .setText(c.getString(mainCounterIndex));
        
        ((TextView)oldView.findViewById(R.id.description))
        .setText(c.getString(descriptionIndex));
        
    }

    @Override
    public View newView(Context ctx, Cursor c, ViewGroup root) {
        LayoutInflater inflater = LayoutInflater.from(ctx);
        View view = inflater.inflate(R.layout.tacho_list_item, root, false);
        bindView(view, ctx, c);
        return view;
    }
    
}
