package cz.petrdana.android.tachometer.fragment;

import java.util.Calendar;

import android.app.DatePickerDialog;
import android.app.DatePickerDialog.OnDateSetListener;
import android.app.Dialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;


public class DateDialogFragment extends DialogFragment {

    public static DateDialogFragment newInstance(long dateInMillis) {
        Bundle b = new Bundle();
        b.putLong("dateInMillis", dateInMillis);
        
        DateDialogFragment f = new DateDialogFragment();
        f.setArguments(b);
        
        return f;
    }
    
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        // ve vychozim stavu se pouzije aktualni datum
        Calendar cal = Calendar.getInstance();
        
        long dateInMillis = getArguments().getLong("dateInMillis", 0);
        if (dateInMillis != 0) {
            cal.setTimeInMillis(dateInMillis);
        }
        int year = cal.get(Calendar.YEAR);
        int month = cal.get(Calendar.MONTH);
        int day = cal.get(Calendar.DAY_OF_MONTH);

        // Create a new instance of DatePickerDialog and return it
        return new DatePickerDialog(getActivity(), (OnDateSetListener) getParentFragment(), year, month, day);
    }
    
}
