package cz.petrdana.android.tachometer.model;

import android.os.Parcel;
import android.os.Parcelable;

public class Record implements Parcelable {
    public boolean isNew = true;
    
    public long id;
    public long dateInMillis;
    public float dailyCounter;
    public int mainCounter;
    public String description;
    
    public Record() {
    }
    
    public Record(long dateInMillis, float dailyCounter, int mainCounter, String description) {
        this.dateInMillis = dateInMillis;
        this.dailyCounter = dailyCounter;
        this.mainCounter = mainCounter;
        this.description = description;
    }
    
    public Record(long id, long dateInMillis, float dailyCounter, int mainCounter, String description) {
        this.id = id;
        this.dateInMillis = dateInMillis;
        this.dailyCounter = dailyCounter;
        this.mainCounter = mainCounter;
        this.description = description;
    }
    
    public Record(Parcel in) {
        readFromParcel(in);
    }
    
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(this.id);
        dest.writeLong(this.dateInMillis);
        dest.writeFloat(this.dailyCounter);
        dest.writeInt(this.mainCounter);
        dest.writeString(this.description);
    }
    
    private void readFromParcel(Parcel in) {
        this.id = in.readLong();
        this.dateInMillis = in.readLong();
        this.dailyCounter = in.readFloat();
        this.mainCounter = in.readInt();
        this.description = in.readString();
    }
    
    public static final Parcelable.Creator CREATOR =
            new Parcelable.Creator() {
                public Record createFromParcel(Parcel in) {
                    return new Record(in);
                }
     
                public Record[] newArray(int size) {
                    return new Record[size];
                }
            };
}
